Перейти к содержимому
LegalStack

История прогонов автоматизации

GET/api/v1/automations/{id}/runs

Авторизация

AuthorizationBearer <токен>

Access token, привязанный к ключу клиента по RFC 9449: заголовок Authorization: DPoP <token> и заголовок DPoP с доказательством для каждого запроса. Сервер выдаёт DPoP-Nonce, который клиент включает в доказательство.

Передаётся в: header

Параметры пути

id*string

Идентификатор автоматизации

Параметры запроса

limit?string

Максимум записей, до 200 (по умолчанию 50)

Тело ответа

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/v1/automations/string/runs" \  -H "Authorization: Bearer <access_token>"
[  {    "automationId": "string",    "bottlenecks": [      {        "durationMs": 0,        "nodeId": "string",        "nodeKind": "string",        "nodeType": "string",        "status": "string"      }    ],    "completedSteps": 0,    "currentStep": {      "nodeId": "string",      "nodeKind": "string",      "nodeType": "string",      "processed": 0,      "startedAt": "string",      "total": 0    },    "durationMs": 0,    "error": "string",    "finishedAt": "string",    "id": "string",    "isStuck": true,    "lastHeartbeatAt": "string",    "mode": "live",    "progressPercent": 0,    "startedAt": "string",    "status": "string",    "steps": [      {        "durationMs": 0,        "error": "string",        "finishedAt": "string",        "input": null,        "nodeId": "string",        "nodeKind": "string",        "nodeType": "string",        "output": null,        "simulated": true,        "startedAt": "string",        "status": "string",        "truncated": true      }    ],    "totalSteps": 0,    "waiting": true  }]